Asana: Project templates schemas
11 Asana schemas with complete fields and constraints.
← Project templates operations · All schemas
Get a project template — response body — data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | Model | Required within parent | Expand Get a project template — response body — data data — sdk__Project Template Response |
Referenced models: Get a project template — response body — data data — sdk__Project Template Response
Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | |
$ (allOf 1) | Model | All variants apply | Expand Get a team's project templates — response body — data, next page data item |
$ (allOf 2) | object | All variants apply | |
$ (allOf 2).description | string | Optional | Free-form textual information associated with the project template |
$ (allOf 2).html_description | string | Optional | The description of the project template with formatting as HTML. See [rich text](/docs/rich-text#reading-rich-text). |
$ (allOf 2).public | boolean | Optional | True if the project template is public to its team. |
$ (allOf 2).owner | JSON | Optional | |
$ (allOf 2).owner (anyOf 1) | JSON | Alternative | The current owner of the project template, may be null. |
$ (allOf 2).owner (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get users in a team — response body — data data item |
$ (allOf 2).owner (anyOf 1) (allOf 2) | object | All variants apply | |
$ (allOf 2).owner (anyOf 2) | null | Alternative | |
$ (allOf 2).team | JSON | Optional | |
$ (allOf 2).team (allOf 1) | Model | All variants apply | Expand Add a user to a team — response body — data data team — Team Compact |
$ (allOf 2).requested_dates | array | Optional | Array of date variables in this project template. Calendar dates must be provided for these variables when instantiating a project. Read only: true |
$ (allOf 2).requested_dates[] | Model | Each item | Expand Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested dates item |
$ (allOf 2).color | JSON | Optional | |
$ (allOf 2).color (anyOf 1) | string | Alternative | Color of the project template. Known values: dark-pink, dark-green, dark-blue, dark-red, dark-teal, dark-brown, dark-orange, dark-purple, dark-warm-gray, light-pink, light-green, light-blue, light-red, light-teal, light-brown, light-orange, light-purple, light-warm-gray |
$ (allOf 2).color (anyOf 2) | null | Alternative | |
$ (allOf 2).requested_roles | array | Optional | Array of template roles in this project template. User Ids can be provided for these variables when instantiating a project to assign template tasks to the user. |
$ (allOf 2).requested_roles[] | Model | Each item | Expand Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested roles item |
Referenced models: Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested dates item, Get a team's project templates — response body — data, next page data item, Add a user to a team — response body — data data team — Team Compact, Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested roles item, Get users in a team — response body — data data item
Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested dates item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
gid | string | Optional | Globally unique identifier of the date field in the project template. A value of `1` refers to the project start date, while `2` refers to the project due date. Read only: true |
name | string | Optional | The name of the date variable. Read only: true |
description | string | Optional | The description of what the date variable is used for when instantiating a project. Read only: true |
Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested roles item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | Name of the template role. |
Get a project template — response body — data data — Project Template Response
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | |
$ (allOf 1) | Model | All variants apply | Expand Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team |
Referenced models: Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team
Get a project template — response body — data data — sdk__Project Template Response
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. A *project template* is an object that allows new projects to be created with a predefined setup, which may include tasks, sections, Rules, etc. It simplifies the process of running a workflow that involves a similar set of work every time. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | Name of the project template. |
description | string | Optional | Free-form textual information associated with the project template |
html_description | string | Optional | The description of the project template with formatting as HTML. See [rich text](/docs/rich-text#reading-rich-text). |
public | boolean | Optional | True if the project template is public to its team. |
owner | JSON | Optional | |
owner (anyOf 1) | JSON | Alternative | The current owner of the project template, may be null. |
owner (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get an OOO entry — response body — data data user |
owner (anyOf 1) (allOf 2) | object | All variants apply | |
owner (anyOf 2) | null | Alternative | |
team | Model | Optional | Expand Add a user to a team — response body — data data team — shared_team_674c225d7cda |
requested_dates | array | Optional | Array of date variables in this project template. Calendar dates must be provided for these variables when instantiating a project. Read only: true |
requested_dates[] | object | Each item | |
requested_dates[].gid | string | Optional | Globally unique identifier of the date field in the project template. A value of `1` refers to the project start date, while `2` refers to the project due date. Read only: true |
requested_dates[].name | string | Optional | The name of the date variable. Read only: true |
requested_dates[].description | string | Optional | The description of what the date variable is used for when instantiating a project. Read only: true |
color | JSON | Optional | |
color (anyOf 1) | string | Alternative | Color of the project template. Known values: dark-pink, dark-green, dark-blue, dark-red, dark-teal, dark-brown, dark-orange, dark-purple, dark-warm-gray, light-pink, light-green, light-blue, light-red, light-teal, light-brown, light-orange, light-purple, light-warm-gray |
color (anyOf 2) | null | Alternative | |
requested_roles | array | Optional | Array of template roles in this project template. User Ids can be provided for these variables when instantiating a project to assign template tasks to the user. |
requested_roles[] | object | Each item | A generic Asana Resource, containing a globally unique identifier. |
requested_roles[].gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
requested_roles[].resource_type | string | Optional | The base type of this resource. Read only: true |
requested_roles[].name | string | Optional | Name of the template role. |
Referenced models: Get an OOO entry — response body — data data user, Add a user to a team — response body — data data team — shared_team_674c225d7cda
Get a team's project templates — response body — data, next page
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | array | Required within parent | |
data[] | Model | Each item | Expand Get a project template — response body — data data — sdk__Project Template Response |
next_page | Model | Optional | Expand Get goals — response body — data, next page next page |
Referenced models: Get goals — response body — data, next page next page, Get a project template — response body — data data — sdk__Project Template Response
Get a team's project templates — response body — data, next page data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A *project template* is an object that allows new projects to be created with a predefined setup, which may include tasks, sections, Rules, etc. It simplifies the process of running a workflow that involves a similar set of work every time. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | Name of the project template. |
Instantiate a project from a project template — request body — body data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
name | string | Required within parent | The name of the new project. |
team | string | Optional | *Optional*. Sets the team of the new project. If the project template exists in an _organization_, you may specify a value for `team`. If no value is provided then it defaults to the same team as the project template. |
public | boolean | Optional | *Deprecated:* new integrations use `privacy_setting` instead. |
privacy_setting | string | Optional | The privacy setting of the project. *Note: Administrators in your organization may restrict the values of `privacy_setting`.* The value `private_to_team` is deprecated. Use `POST /memberships` to share a project with a team after creation. One of: public_to_workspace, private_to_team, private |
is_strict | boolean | Optional | *Optional*. If set to `true`, the endpoint returns an "Unprocessable Entity" error if you fail to provide a calendar date value for any date variable. If set to `false`, a default date is used for each unfulfilled date variable (e.g., the current date is used as the Start Date of a project). |
requested_dates | array | Optional | *Conditional*. Array of mappings of date variables to calendar dates. This property is required in the instantiation request if the project template includes dates (e.g., a start date on a task). |
requested_dates[] | Model | Each item | Expand Instantiate a project from a project template — request body — body data requested dates item |
requested_roles | array | Optional | Array of mappings of template roles to users. |
requested_roles[] | Model | Each item | Expand Instantiate a project from a project template — request body — body data requested roles item |
Referenced models: Instantiate a project from a project template — request body — body data requested dates item, Instantiate a project from a project template — request body — body data requested roles item
Instantiate a project from a project template — request body — body data requested dates item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
gid | string | Optional | Globally unique identifier of the date field in the project template. A value of `1` refers to the project start date, while `2` refers to the project due date. |
value | JSON | Optional | |
value (anyOf 1) | string | Alternative | The date with which the date variable should be replaced when instantiating a project. This takes a date with `YYYY-MM-DD` format. Format: date-time |
value (anyOf 2) | null | Alternative |
Instantiate a project from a project template — request body — body data requested roles item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
gid | string | Optional | Globally unique identifier of the template role in the project template. |
value | string | Optional | A string identifying a user that should be assigned to the template role. This can either be the string "me", an email, or the gid of a user. |